import { Test, TestingModule } from '@nestjs/testing';
import { CardsController } from './cards.controller';
import {CardsService} from "./cards.service";
import {CardsServiceMock} from "../mocks/cards-service.mock";

describe('CardsController', () => {
  let controller: CardsController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [CardsController],
      providers: [
        { provide: CardsService, useValue: CardsServiceMock },
      ]
    }).compile();

    controller = module.get<CardsController>(CardsController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
